Subject: Re: [http-auth] (due Oct 04) Mutual-auth issues (part 3)

From: 大岩寛 <[email-masked]>
Date: Tue, 13 Oct 2015 09:30:26 +0000

Dear HTTPAUTH WG members,

We'll go forward with the current specification regarding the following issues.
Thank you.

-- 
Yutaka OIWA, Ph.D.       Leader, Cyber Physical Architecture Research Group
                                  Information Technology Research Institute
    National Institute of Advanced Industrial Science and Technology (AIST)
                      Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]

> -----Original Message-----
> From: Yutaka OIWA
> Sent: Wednesday, September 23, 2015 11:27 PM
> To: [email-masked]' <[email-masked]>
> Subject: (due Oct 04) Mutual-auth issues (part 3)
> 
> Dear all HTTPAUTH WG members,
> 
> I'd like to have your comments on the following four issues.
> Please make your initial response *before October 04*, or the WG will consider
> these issues as successfully resolved (as the WG Chair said in the Prague
> meeting.)
> 
> We appreciate your responses in any of the following form:
>   * on the github issue tracking system (comments, pull-request etc.)
>   * on this mailing list
>   * on the private email
> We'll summarize comments on the medium above, and send it to this mailing list.
> (Please be understood that your comments on the private email may be included
> in the summary and published.)
> 
> This time, all of issues are related with TLS channel bindings.
> Related part is Section 7 of the draft-ietf-httpauth-mutual.
> 
> (P8)
> Is it reasonable to use RFC 5929 "TLS channel binding"?
> 
> We guess general consensus is "yes", with some care for known vulnerabilities.
> These comments are already reflected in the latest draft.
> Additional comments are welcome.
> https://github.com/yoiwa/httpauth-mutual/issues/8
> 
> 
> (P9)
> tls-unique binding is somewhat tricky with HTTPS authentication, as keys might
> be different among multi-trip exchange requests, especially when anonymous TLS
> ciphersuite is used.
> Current definition "will work", at least.
> Do you think the current text is satisfactory?
> Are more cautionary texts needed?
> https://github.com/yoiwa/httpauth-mutual/issues/9
> 
> 
> (P10)
> If 512-bit-worth user authentication is performed on TLS channels with
> 256-bit-worth server authentication (RSA certificate with SHA-256 hash), is
> it satisfactory to use 256-bit channel binding datum?
> Use of RFC 5929 implies this, because binding datum size is determined only
> by TLS certificate hash algorithm.
> https://github.com/yoiwa/httpauth-mutual/issues/10
> 
> 
> 
> Thank you in advance for your cooperation.
> 
> --
> Yutaka OIWA, Ph.D.               Cyber Physical Architecture Research Group
>                                   Information Technology Research Institute
>     National Institute of Advanced Industrial Science and Technology (AIST)
>                       Mail addresses: <[email-masked]>, <[email-masked]>
> OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]